[@bigcommerce/checkout-sdk](../README.md) / CurrencyService

# Class: CurrencyService

Responsible for formatting and converting currencies.

## Table of contents

### Constructors

- [constructor](CurrencyService.md#constructor)

### Methods

- [toCustomerCurrency](CurrencyService.md#tocustomercurrency)
- [toStoreCurrency](CurrencyService.md#tostorecurrency)

## Constructors

### constructor

• **new CurrencyService**(): [`CurrencyService`](CurrencyService.md)

#### Returns

[`CurrencyService`](CurrencyService.md)

## Methods

### toCustomerCurrency

▸ **toCustomerCurrency**(`amount`): `string`

#### Parameters

| Name | Type |
| :------ | :------ |
| `amount` | `number` |

#### Returns

`string`

___

### toStoreCurrency

▸ **toStoreCurrency**(`amount`): `string`

#### Parameters

| Name | Type |
| :------ | :------ |
| `amount` | `number` |

#### Returns

`string`
